summaryrefslogtreecommitdiff
path: root/package/network/config/firewall/files/firewall.hotplug
diff options
context:
space:
mode:
authorjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-06-04 12:21:52 +0000
committerjow <jow@3c298f89-4303-0410-b956-a3cf2f4a3e73>2013-06-04 12:21:52 +0000
commitaf9bb55d2ff6333b163c87816430d68a87512e08 (patch)
treed54f2e193a092748218f3bf75cbdda08d8a2f4cd /package/network/config/firewall/files/firewall.hotplug
parenta901329781eae4716c21d3d8f70a18501d9f2352 (diff)
firewall3: rename to firewall, move into base system menu, update to git head with compatibility fixes for AA
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36838 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/network/config/firewall/files/firewall.hotplug')
-rw-r--r--package/network/config/firewall/files/firewall.hotplug10
1 files changed, 10 insertions, 0 deletions
diff --git a/package/network/config/firewall/files/firewall.hotplug b/package/network/config/firewall/files/firewall.hotplug
new file mode 100644
index 0000000000..34f3afec9b
--- /dev/null
+++ b/package/network/config/firewall/files/firewall.hotplug
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ "$ACTION" = ifup ] || exit 0
+
+/etc/init.d/firewall enabled || exit 0
+
+fw3 -q network "$INTERFACE" >/dev/null || exit 0
+
+logger -t firewall "Reloading firewall due to ifup of $INTERFACE ($DEVICE)"
+fw3 -q reload